/* Main Navigation Menu */

.fxc-nav-menu {
    display: flex;
    width: 100%;
    height: inherit;
    list-style: none;
    text-decoration: none;
    padding: 0px;
    margin: 0px;
    gap: 16px;
}

.fxc-nav-menu ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
}

.fxc-nav-menu ul ul ul {
    top: 0;
}

.fxc-nav-menu ul ul li:hover>ul,
.fxc-nav-menu ul ul li.focus>ul {
    display: block;
    left: auto;
}

.fxc-nav-menu ul li:hover>ul,
.fxc-nav-menu ul li.focus>ul {
    left: auto;
}

/* Menu Titles and Links */

.fxc-menu-title-no-link {
    color: #9ea7b0;
    font-family: Montserrat;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%;
    /* 12px */
    letter-spacing: 0.6px;
    text-transform: uppercase;
}

.menu-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 6;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

.menu-overlay.active {
    opacity: 1;
    visibility: visible;
}

.menu-item.active>.sub-menu {
    display: block;
    opacity: 1;
}

.fxc-nav-menu>li .fxc-menu-no-link,
.sub-menu li .fxc-menu-no-link {
    /* font-size: 16px;
  font-weight: 500;
  line-height: 42px;
  color: #505050;
  position: relative;
  display: flex;
  align-items: center;
  align-content: center;
  font-family: var(--font-body-text); */
}

.fxc-nav-menu>li .fxc-menu-no-link {
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0.5px;
    line-height: 20px;
    color: #003647;
    position: relative;
    display: flex;
    align-items: center;
    align-content: center;
    font-family: var(--font-body-text);
    padding: 10px;
    border-radius: 5px;
    text-decoration: none;
    gap: 16px;
    cursor: pointer;
}

.sub-menu li .fxc-menu-no-link span {
    color: #000d22 !important;
    font-family: var(--font-body-text);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 100%;
    padding: 16px 0px;
    transition: padding 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: default !important;
}

.sub-menu li .fxc-menu-no-link,
.sub-menu li .fxc-menu-no-link:hover,
.sub-menu li .fxc-menu-no-link:focus {
    background: none !important;
    padding: 0px !important;
}

.arrow-icon {
    margin-bottom: 0px;
    margin-left: 0px;
}

.arrow-icon svg {
    width: 11px;
    height: 8px;
}

/* Mega Menu */

.mega-menu {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.2s ease, visibility 0.2s ease, transform 0.2s ease, margin 0.2s ease, height 0.2s ease;
    position: absolute;
    left: 0;
    z-index: 5;
    width: 100%;
    margin-left: 0px;
    padding-top: 30px;
    padding-bottom: 60px;
    border-top: 20px solid #fff;
    background: #fff !important;
    border-radius: 0px 0px 10px 10px;
    box-shadow: 0px 42px 40px 0px rgb(131 131 131 / 9%);
    transition: all 0.3s ease;
}

/* Header Sub-Menu */

.mega-menu>.sub-menu {
    max-width: var(--container-max-width);
    margin: auto;
}

header .sub-menu li {
    padding: 0px;
    margin-bottom: 0px;
    width: 100%;
    min-height: auto !important;
    flex-direction: row;
    flex-wrap: nowrap;
    position: relative;
}

header .sub-menu li:last-child {
    margin-bottom: 0px !important;
}

header .sub-menu li a {
    color: #000d22 !important;
    font-family: var(--font-body-text);
    font-size: 14px;
    font-style: normal;
    font-weight: 500 !important;
    line-height: 100%;
    padding: 16px 0px;
    padding-left: 5px;
    transition: padding 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.submenu-arrow-icon {
    width: 11.675px;
    opacity: 0;
    transition: all 0.3s ease;
}

header .sub-menu li a:hover .submenu-arrow-icon {
    opacity: 1;
}

.fxc-menu-no-link {
    gap: 16px;
}

.fxc-menu-no-link .menu-item-content {
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0.5px;
    color: #003647;
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 5px;
    text-decoration: none;
}

.menu-item-content {
    display: flex;
    gap: 8px;
    align-items: center;
    flex-wrap: nowrap;
}

/* Hover and Focus Styles */

.sub-menu li a:hover,
.sub-menu li a:focus {
    background: #f5f5f5;
    border-radius: 5px;
    padding: 16px 16px 16px 16px;
    transition: padding 0.3s ease;
}

/* Mega Menu Display on Hover and Focus */

.fxc-nav-menu li.active>.mega-menu,
.fxc-nav-menu a.active>.mega-menu {
    opacity: 1;
    display: block;
    visibility: visible;
    pointer-events: auto;
}

/* Position adjustments for submenus */

.fxc-nav-menu ul ul li.active>.mega-menu {
    top: 0px;
    right: auto;
    left: 205px;
    margin-top: 0px;
}

/* Old - Hover to active mega menu */

/* 
.fxc-nav-menu li:hover > .mega-menu,
.fxc-nav-menu li.focus > .mega-menu,
.fxc-nav-menu a:hover > .mega-menu,
.fxc-nav-menu a.focus > .mega-menu {
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease;
}
.fxc-nav-menu ul ul li:hover > .mega-menu,
.fxc-nav-menu ul ul li.focus > .mega-menu {
  top: 0px;
  right: auto;
  left: 205px;
  margin-top: 0px;
}
.fxc-nav-menu li:hover > .mega-menu > .sub-menu,
.fxc-nav-menu li.focus > .mega-menu > .sub-menu,
.fxc-nav-menu a:hover > .mega-menu > .sub-menu,
.fxc-nav-menu a.focus > .mega-menu > .sub-menu {
  transform: translate3d(0, 10px, 0);
  transition: all 0.3s ease;
} */

/* New Menu Hover */

.mega-menu>.sub-menu,
.mega-menu>.sub-menu,
.mega-menu>.sub-menu,
.mega-menu>.sub-menu {
    transition: all 0.3s ease;
}

/* Menu Links */

.fxc-nav-menu>li a {
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0.5px;
    line-height: 20px;
    color: var(--dark-blue-300, #000D22);
    position: relative;
    display: flex;
    align-items: center;
    align-content: center;
    font-family: var(--font-body-text);
    padding: 10px;
    border-radius: 5px;
    text-decoration: none;
    gap: 16px;
}

/* Active State for menu items */

.fxc-nav-menu>li a:hover,
.fxc-nav-menu .fxc-menu-no-link:hover {
    background: #efefef8c;
}

.fxc-nav-menu a:hover {
    color: var(--color-primary);
}

.current-menu-ancestor .fxc-menu-no-link .menu-item-content,
.current-menu-ancestor .arrow-icon svg {
    color: var(--color-primary);
}

.current-menu-item a,
.current-menu-ancestor>a {
    background-color: #efefef8c;
}

.sub-menu .current-menu-item a,
.sub-menu .current-menu-ancestor>a {
    background-color: #efefef8c;
    padding: 16px 16px !important;
}

header .sub-menu li.current-menu-item .submenu-arrow-icon {
    opacity: 1;
}

.mega-menu>.sub-menu>li:last-child {
    border-right: none;
}

.mega-menu>.sub-menu .sub-menu {
    display: flex;
    gap: 5px;
    flex-direction: column;
}

.menu-separator-fxc {
    width: 1px;
    height: 25px;
    display: block;
    background: #d0d5dd;
}

.menu-small-separator-fxc {
    width: 1px;
    height: 15px;
    display: block;
    background: #d0d5dd;
}

/*=== Menu Grid ===*/

[data-columns="1"] {
    max-width: 350px !important;
    left: auto !important;
    padding: 30px !important;
}

[data-columns="1"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 5px;
    max-width: 100% !important;
    grid-template-columns: repeat(1, 1fr);
}

[data-columns="2"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 30px;
    grid-template-columns: repeat(2, 1fr);
}

[data-columns="3"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 30px;
    grid-template-columns: repeat(3, 1fr);
}

[data-columns="4"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 10px;
    grid-template-columns: repeat(4, 1fr);
}

[data-columns="5"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 30px;
    grid-template-columns: repeat(5, 1fr);
}

[data-columns="6"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 30px;
    grid-template-columns: repeat(6, 1fr);
}

[data-columns="2-1"] {
    background: linear-gradient(to right, #ffffff 52%, #f5f5f5 52%) !important;
}

[data-columns="2-1"]>.sub-menu {
    display: grid;
    grid-column-gap: 30px;
    grid-row-gap: 30px;
    gap: 15px;
    grid-template-columns: 1fr 1fr 1fr 0.8fr;
}

[data-columns="2-1"]>.sub-menu li:last-child {
    grid-area: 1 / 3 / 2 / 5;
}

/* Mega Menu Styles */

.mega-menu li a {
    padding: 10px;
}

.mega-menu a {
    display: block;
    color: #505050;
    text-decoration: none;
    font-family: var(--font-body-text);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
}

/* Menu Badge Styling */

.menu-badge {
    border-radius: 15px;
    background: #ffe5ab;
    display: flex;
    padding: 2px 5px;
    align-items: flex-start;
    color: #111517;
    text-transform: uppercase;
    text-align: center;
    font-size: 9px;
    font-weight: 900;
    line-height: normal;
    letter-spacing: 0.4px;
    margin-left: 5px;
}

/* Clearfix for Mega Menu Columns */

.mega-menu:after {
    content: "";
    display: table;
    clear: both;
}

/* Display Mega Menu on Hover */

.menu-item:hover .mega-menu {
    /* display: block; */
}

/* Display Mega Menu on Click */

.menu-item.clickable .mega-menu {
    display: none;
}

.menu-item.clickable:hover .mega-menu {
    display: grid;
}

/* Customize Colors Based on Data-Color Attribute */

[data-color="default"] {
    background-color: #121212;
    color: #fff !important;
}

[data-color="red"] {
    background-color: red;
    color: #fff !important;
}

[data-color="yellow"] {
    background-color: #ffe5ab;
}

[data-color="green"] {
    background-color: #4caf50;
    color: #fff !important;
}

[data-color="blue"] {
    background-color: #00aaaa;
    color: #fff !important;
}

/* Menu SVG Icons */

.menu-svg-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-svg-icon svg {
    width: 24px;
    height: 24px;
}

.menu-item-content .menu-svg-icon {
    margin-right: 4px;
}

/* Default submenu behavior */

.sub-menu {
    display: none;
}

.menu-item-hover:hover>.sub-menu,
.menu-item-click.click-active>.sub-menu {
    display: block;
}

/* Styles for submenu behavior */

.menu-item-hover:hover>a>.arrow-icon {
    transform: rotate(180deg);
}

.menu-item-click>a>.arrow-icon {
    cursor: pointer;
}

.menu-item-click.click-active>a>.arrow-icon {
    transform: rotate(180deg);
}

/* Menu Post Post Content */

.custom-post-content {
    color: #475467;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 0.12px;
    padding-left: 30px;
}

.custom-post-content a {
    color: #475467 !important;
    font-size: 12px !important;
    font-style: normal !important;
    font-weight: 500 !important;
    line-height: 1.5 !important;
    letter-spacing: 0.12px;
}

.custom-post-content a:hover {
    background: transparent !important;
    padding-inline: 0px !important;
    color: #0088fd !important;
}

.custom-post-content h1,
.custom-post-content h2,
.custom-post-content h3,
.custom-post-content h4,
.custom-post-content h5,
.custom-post-content h6 {
    color: #000d22;
    font-size: 16px;
    font-style: normal;
    font-weight: 500 !important;
    line-height: 1;
    letter-spacing: 0.16px;
    margin-bottom: 24px;
}